Send an email template to a single person as a one-off email.
curl --request POST \
--url https://{subdomain}.outseta.com/api/v1/templates/{templateUid}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"PersonUid": "<string>",
"FromEmail": "<string>",
"FromName": "<string>",
"Subject": "<string>"
}
'import requests
url = "https://{subdomain}.outseta.com/api/v1/templates/{templateUid}/send"
payload = {
"PersonUid": "<string>",
"FromEmail": "<string>",
"FromName": "<string>",
"Subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
PersonUid: '<string>',
FromEmail: '<string>',
FromName: '<string>',
Subject: '<string>'
})
};
fetch('https://{subdomain}.outseta.com/api/v1/templates/{templateUid}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Template": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Subject": "string",
"Body": "string",
"Design": "string",
"Description": "string",
"SystemName": "string",
"IsInternal": false,
"AvailableTokens": "string",
"RequiredTokens": "string",
"Tag": "string"
},
"Recipient": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [],
"DealPeople": [],
"LeadFormSubmissions": [],
"Account": {},
"AccountUids": "string",
"EmailListPerson": [],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"RecaptchaToken": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {},
"IsConnectedToDiscord": false
},
"UniqueMessageId": "string",
"Subject": "string",
"FromEmail": "string",
"FromName": "string",
"SendDateTime": "string",
"ProcessDateTime": "string",
"DeliverDateTime": "string",
"BounceDateTime": "string",
"SpamDateTime": "string",
"OpenDateTime": "string",
"ClickDateTime": "string",
"UnsubscribeDateTime": "string",
"SendError": "string"
}Uncategorized
Send an email template to a single person as a one-off email.
The email is merge-rendered for the person and sent immediately. No broadcast is created. People who have bounced, unsubscribed or reported spam are not sent the email. Only templates from Email > Email templates can be sent.
The response holds the record of the send. Read the open and click analytics for it later from the emails endpoint for the template. The template and the recipient are left out of the response unless they are asked for, for example fields=*,Template.Uid,Recipient.Uid.
POST
/
api
/
v1
/
templates
/
{templateUid}
/
send
Send an email template to a single person as a one-off email.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The Uid of the email template to send.
Body
application/json
The recipient and the optional from address and subject overrides.
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
10Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"AddressLine1": "string",
"AddressLine2": "string",
"AddressLine3": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"Country": "string",
"GeoLocation": "string"
},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Account": {},
"IsPrimary": false,
"ReceiveInvoices": false,
"Role": 1
}
],
"DealPeople": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Deal": {}
}
],
"LeadFormSubmissions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"LeadForm": {},
"RefererURL": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string"
}
],
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePriceIds": "string",
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"AccountUids": "string",
"EmailListPerson": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"EmailList": {},
"Person": {},
"EmailListSubscriberStatus": 1,
"SubscribedDate": "string",
"ConfirmedDate": "string",
"ConfirmationNotes": "string",
"UnsubscribedDate": "string",
"CleanedDate": "string",
"WelcomeEmailDeliverDateTime": "string",
"WelcomeEmailOpenDateTime": "string",
"UnsubscribeReason": "string",
"UnsubscribeReasonOther": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"SendWelcomeEmail": false,
"Source": "string"
}
],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"RecaptchaToken": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"DiscordUserId": "string",
"DiscordEmail": "string",
"DiscordUsername": "string",
"DiscordOAuthRefreshToken": "string"
},
"IsConnectedToDiscord": false
}
Maximum string length:
50Maximum string length:
1000Maximum string length:
250Maximum string length:
250